{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./servies
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "prophet";
    hostId = "97a21a38";
    wg-quick.interfaces.wgc.address = [ "10.100.0.19/24" ];
  };

  system = {
    server.enable = true;
    stateVersion = "24.05";
  };
}
